Get my profile
curl --request GET \
--url https://{host}/api/{session}/profile \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/profile"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "John Silva",
"status": "Available to chat",
"picture": "https://..."
}
Profile
Get Profile
Get profile information of the logged-in user in the WhatsApp session
GET
/
api
/
{session}
/
profile
Get my profile
Description
This endpoint returns profile information of the user authenticated in the WhatsApp session, including display name, status (about/bio), and other profile information. ⚠️ This endpoint is not yet implemented.URL Parameters
string
required
WhatsApp unique authenticated session ID
Expected Response
string
User profile display name
string
Profile status/about (not to be confused with Stories)
string
User profile picture URL
{
"name": "John Silva",
"status": "Available to chat",
"picture": "https://..."
}
Status Codes
200- Profile obtained successfully400- Invalid parameters401- Unauthorized501- Not implemented
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/profile
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/profile`);
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/profile')
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
The session name (instanceName) of the profile you want to get
